Bug 993812 - gtrayicon possibly affected by F-20 unversioned docdir change [NEEDINFO]
gtrayicon possibly affected by F-20 unversioned docdir change
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: gtrayicon (Show other bugs)
27
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
http://fedoraproject.org/wiki/Changes...
: Reopened
Depends On:
Blocks: F20UnversionedDocDirs
  Show dependency treegraph
 
Reported: 2013-08-06 08:19 EDT by Ville Skyttä
Modified: 2017-08-15 03:31 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 07:42:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
projects.rg: needinfo? (cwickert)


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2013-08-06 08:19:21 EDT
gtrayicon was identified as a package possibly needing maintainer attention
due to the F-20 unversioned doc dir change. The identification is not
foolproof, it is basically this grep:

    grep -E "(/doc|_docdir|_defaultdocdir).+version" *.spec

Please review your package and make the appropriate changes, if any. A
good starting point is checking the lines output by the above grep for
your specfile. For the vast majority of packages, after the changes,
the expected outcome is that documentation dirs in /usr/share/doc
should no longer contain the package version.

More information and tips:
  https://fedoraproject.org/wiki/Changes/UnversionedDocdirs
  http://thread.gmane.org/gmane.linux.redhat.fedora.devel/183942/focus=183943
  http://thread.gmane.org/gmane.linux.redhat.fedora.devel/183942/focus=183973
Comment 1 Fedora End Of Life 2013-09-16 12:11:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Raphael Groner 2014-12-12 08:04:10 EST
Do you still actively maintain this package? I see issues to get it working in my f20 system …
Comment 3 Raphael Groner 2015-02-01 07:26:04 EST
Please orphan this package. Upstream is nearly dead and the package seems to be broken since a long time.

Peter, do you maintain it? I see builds done by you in PkgDB.
Comment 4 Peter Robinson 2015-02-02 06:02:36 EST
(In reply to Raphael Groner from comment #3)
> Please orphan this package. Upstream is nearly dead and the package seems to
> be broken since a long time.
> 
> Peter, do you maintain it? I see builds done by you in PkgDB.

No, I don't.... if you read the change log you'll see it was a rel-eng mass rebuild, and if you check the pkgdb you'll see the owner. There is process dealing with this and it's not to assign it to me.
Comment 5 Raphael Groner 2015-02-02 16:22:22 EST
Fixed by yum remove.
Comment 6 Fedora End Of Life 2015-05-29 05:17:29 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Ville Skyttä 2015-05-30 04:59:36 EDT
%description contains an incorrect versioned path.
Comment 8 Jan Kurik 2015-07-15 10:45:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 9 Ville Skyttä 2015-10-18 03:20:46 EDT
(In reply to Ville Skyttä from comment #7)
> %description contains an incorrect versioned path.

Still in 1.1-11.fc23
Comment 10 Jan Kurik 2016-02-24 10:45:28 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 11 Fedora End Of Life 2017-07-25 14:34:06 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 12 Ville Skyttä 2017-07-26 10:02:54 EDT
(In reply to Ville Skyttä from comment #9)
> (In reply to Ville Skyttä from comment #7)
> > %description contains an incorrect versioned path.
> 
> Still in 1.1-11.fc23

Still in 1.1-13.fc26 in current rawhide, 4 years after the initial bug report, and almost two since the last ping, and it's trivial. Is this package being maintained?
Comment 13 Fedora End Of Life 2017-08-08 07:42:56 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 14 Jan Kurik 2017-08-15 03:31:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Note You need to log in before you can comment on or make changes to this bug.